Make it clear in VE (hover state?) when a media file is being dragged in that shows it will do something
Open, NormalPublic8 Story Points

Description

Something like what Google Drive does, but not that loud.

  • Make horizontal rule thicker and progressive blue, making it easier to distinguish between the drop point and horizontal rules
  • Add icon loosely representing MIME type, eg video, audio, image
  • Change line color to red when an invalid MIME type is being dropped

Prtksxna created this task.Oct 19 2015, 1:56 PM
Prtksxna updated the task description. (Show Details)
Prtksxna raised the priority of this task from to Needs Triage.
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptOct 19 2015, 1:56 PM

Change 247586 had a related patch set uploaded (by Esanders):
Surface drop: Show branch node drop markers for file drop

https://gerrit.wikimedia.org/r/247586

The above patch uses the branch node drop markers we use when dragging images around internally. We can add to this more styling for external file drops.

Jdforrester-WMF renamed this task from Add hover state to VE when image file in being dragged onto in for uploading to Make it clear in VE (hover state?) when a media file is being dragged in that shows it will do something.Oct 20 2015, 7:18 PM
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to TR5: Rich media tools on the VisualEditor board.

I was unable to test the patch. Not sure why but a few directories appear and are unchecked when I checkout the patch (P2232).

…we use when dragging images around internally…

Just want to make sure that I understand this correctly, are you talking about the horizontal line that shows where the image will end up?

If so, we want to only show that this is a drop area (like the Phabricator comment text box), and then place the image wherever the cursor was. The user can always change it later.

Change 247586 merged by jenkins-bot:
Surface drop: Show branch node drop markers for file drop

https://gerrit.wikimedia.org/r/247586

Just want to make sure that I understand this correctly, are you talking about the horizontal line that shows where the image will end up?

Yes

If so, we want to only show that this is a drop area (like the Phabricator comment text box), and then place the image wherever the cursor was. The user can always change it later.

Possibly, but where the cursor is is probably not a valid place to put a block level image. The point of the horizontal lines is so that we don't split paragraphs when we move images.

Possibly, but where the cursor is is probably not a valid place to put a block level image. The point of the horizontal lines is so that we don't split paragraphs when we move images.

That makes sense.

We can add to this more styling for external file drops.

Can we make the horizontal line thicker and constructive green. Right now its hard to distinguish between the drop line and the horizontal rule below headings. Could we also show an icon representing what is being added: video, image etc? We could make the line destructive red when an invalid file is being dropped.

Prtksxna updated the task description. (Show Details)Feb 28 2017, 2:49 PM